import Test.ID2TAttackTest as Test
import ID2TLib.Utility as Util

sha_default = '116b6cb3f1be37e50333a4f1a2535d96b1b053a4c950655391826b43585cff2b'
sha_caida_ttl = '175a254c0d93c045a08540a5ffe8cfcdcfa044fb9c7f3b8fbd98c304ec3427db'


class UnitTestMembersMgmtCommAttack(Test.ID2TAttackTest):
    def test_regression(self):
        self.checksum_test([['MembersMgmtCommAttack', 'hidden_mark=True']], sha_default, seed=42,
                           pcap=Util.TEST_DIR + "reference_telnet.pcap")

    def test_mgmtcomm_with_caida_ttl(self):
        self.checksum_test([['MembersMgmtCommAttack', 'hidden_mark=True', 'ttl.from.caida=True']], sha_caida_ttl,
                           pcap=Util.TEST_DIR + "reference_telnet.pcap")
